using Newtonsoft.Json;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace CloudGaming.DtoModel.PlayGame
{
    /// <summary>
    /// 游戏会话
    /// </summary>
    public class PlayGameSession
    {
        /// <summary>
        ///会话 ID
        /// </summary>
        [JsonProperty("sc_id")]
        [JsonPropertyName("sc_id")]
        public int ScId { get; set; }
        /// <summary>
        /// 类型 (able_take 或 able_recon)
        /// </summary>
        [JsonProperty("type")]
        [JsonPropertyName("type")]
        public string Type { get; set; }
        /// <summary>
        /// 挂机剩余时长
        /// </summary>
        [JsonProperty("rest_time")]
        [JsonPropertyName("rest_time")]
        public int RestTime { get; set; }
        /// <summary>
        ///  游戏 key
        /// </summary>
        [JsonProperty("game_key")]
        [JsonPropertyName("game_key")]
        public string GameKey { get; set; }
        /// <summary>
        /// 游戏名称
        /// </summary>
        [JsonProperty("game_name")]
        [JsonPropertyName("game_name")]
        public string GameName { get; set; }
        /// <summary>
        /// 房间 ID
        /// </summary>
        [JsonProperty("room_id")]
        [JsonPropertyName("room_id")]
        public int RoomId { get; set; }
        /// <summary>
        /// 房间名称
        /// </summary>
        [JsonProperty("room_name")]
        [JsonPropertyName("room_name")]
        public string RoomName { get; set; }
    }
}
